<?php
	
function db_connect(){

	$host = 'localhost';
	$user = 'tanzeelniazi';
	$pass = 'abc';
	$db = 'Busarna';

	$conn = @mysqli_connect($host, $user, $pass, $db);

	if(mysqli_connect_errno()){

		die (mysqli_connect_error());
	}

	return $conn;
}

function field_length($conn, $key, $string){

	if(strlen($string) < 6) {

		$status = "{$key} should be atleast 6 characters long.";
		return $status;
	}

	if(strlen($string) > 200) {

		$status = "{$key} must be less then 200 characters.";
		return $status;
	}

	return NULL;
}

function safe_out($conn, $string){

	$string = strip_tags($string);
	$string = trim($string);
	$string = htmlspecialchars($string);
	$string = mysqli_real_escape_string($conn, $string);

	return $string;
}

function query_user_check($conn, $username){

	$query = "SELECT * FROM users
						WHERE username = '{$username}' 
			 ";


	$results = mysqli_query($conn, $query);


	if ($results && mysqli_affected_rows($conn) == 1){

		$user = "Username Already Exists, Please choose another one";
		return $user;
	}

	return NULL;

}

function query_email_check($conn, $email){

	$query = "SELECT * FROM users
						WHERE email = '{$email}' 
			 ";


	$results = mysqli_query($conn, $query);


	if ($results && mysqli_affected_rows($conn) == 1){

		$email = "Email Already Exists, Please choose another one";
		return $email;
	}

	return NULL;

}
/* Applying BlowFish encryption on the password */
function secure_password($password){

		$hash_format = "$2y$10$";
		$salt = md5("Tanz33lN!@zi@SpinZRphp");

		$salt_format = $hash_format . $salt;
		$hash = crypt($password, $salt_format);

		return $hash;
}	

function query_insert_user($conn, $username, $pass_hash, 
							$first_name, $last_name, $email, $vericode){

	$query = "INSERT INTO users
						VALUES (NULL, '{$username}',
								'{$pass_hash}', '{$first_name}',
								'{$last_name}', '{$email}', 
								'{$vericode}', 'Unverified', 
								12, 2, 1, 'admin'
								)
			";


	$results = mysqli_query($conn, $query);

	if($results){

		return  array ( 'username' => $username,
						'email' => $email,
						'vericode' => $vericode
					);
	}

		$status = "Can't Register Your Account at the Moment";

		return $status;
}

function query_update_user($conn, $email, $vericode){

		$query = "UPDATE users 
						SET 
							status = 'verified'
						WHERE 
							email = '{$email}' AND
							email_code = '{$vericode}'
				 ";

		
		$results = mysqli_query($conn, $query);

		if ($results && mysqli_affected_rows($conn) == 1){

			return $results;				
		}

		 else { return NULL; }
	}


?>